Skip to main content
GET
/
api
/
v1
/
providers
List Providers Route
curl --request GET \
  --url https://api.example.com/api/v1/providers
import requests

url = "https://api.example.com/api/v1/providers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v1/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "provider": "<string>",
      "model": "<string>",
      "params": {},
      "has_api_token": true
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

Authorization
string | null

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
provider
string | null

Filter by provider type (e.g. openai, anthropic)

search
string | null

Case-insensitive substring match on name

Response

Successful Response

items
ProviderRead · object[]
required
total
integer
required
limit
integer
required
offset
integer
required